# SpeciesDefaultFormMatchTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesDefaultFormMatchTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesDefaultFormMatchTrigger

- Defined in src/data/pokemon-forms.ts:343

#####
Index

### Constructors

constructor

### Properties

formKey

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesDefaultFormMatchTrigger(formKey): SpeciesDefaultFormMatchTrigger

- #### Parameters

  - formKey: string

  #### Returns SpeciesDefaultFormMatchTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:346

## Properties

### `Private` formKey

formKey: string

- Defined in src/data/pokemon-forms.ts:344

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:351

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:212